//********************************************************************
//*** ResourcePool/TaskRunner/Factory.hh
//*** Copyright (c) 2003-2005 by Markus Winand <mws@fatalmind.com>
//*** $Id: Factory.hh,v 1.2 2005/01/06 16:27:57 mws Exp $
//********************************************************************

#ifndef RESOURCEPOOL_TASKRUNNER_FACTORY_HH
#define RESOURCEPOOL_TASKRUNNER_FACTORY_HH

#ifndef RESOURCEPOOL_TASKRUNNER_RESOURCE_HH
#include "Resource.hh"
#endif

namespace fatalmind {
namespace TaskRunnerPoolInternals {

class Factory {
	public:
		Factory();
		Resource* create_resource() const;	
};

}
} // namespace fatalmind

#endif
