#include "ResourcePool/mysql/ResourcePool.hh"

#include "t/main.hh"

#include "testconfig.cc"
#include "../SQL/SQLSelect.t.cc"

std::auto_ptr<RP> rp;

void INIT_mysql_SQLSelect() {
	rp.reset(new RP(getFactory()));
	test_SQLSelect_init(*rp);
}

void TEST_mysql_SQLSelect_all() {
	test_SQLSelect_one(*rp);
}

void TEST_PERF_mysql_SQLSelect_all() {
	test_perf_SQLSelect_all(*rp);
}

void TEST_PERF_mysql_SQLSelect_ten() {
	test_perf_SQLSelect_ten(*rp);
}

//void TEST_PERF_mysql_SQLSelect_one() {
//	test_perf_SQLSelect_one(*rp);
//}

void CLEANUP_mysql_SQLSelect() {
	test_SQLSelect_cleanup(*rp);
}


